
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">


<div class="notification-container">
    <div class="bell-icon" onclick="toggleAlerts()">
        <i class="fa fa-bell"></i>
        <span class="badge" id="alertBadge" style="display: none;">0</span>
    </div> 

    <div class="alerts-dropdown" id="alertsDropdown" style="display: none;">
        <!-- Alerts will be dynamically inserted here -->
    </div>
</div>


<script>
// This function will add an alert to the dropdown.
function addAlert(data) {
    const alertDiv = document.createElement('div');
    alertDiv.classList.add('alert');

    const alertInfo = document.createElement('div');
    alertInfo.classList.add('alert-info');

    const profileImage = document.createElement('img');
    profileImage.src = `https://thumb.live.mmcdn.com/ri/${data.nickname}.jpg`; // Use actual model image URL
    profileImage.alt = 'Profile Picture';

    const modelInfo = document.createElement('div');
    modelInfo.innerHTML = `<strong>${data.nickname}</strong> is live in <em>${data.status}</em>`;

    alertInfo.appendChild(profileImage);
    alertInfo.appendChild(modelInfo);

    const dismissBtn = document.createElement('button');
    dismissBtn.classList.add('dismiss-btn');
    dismissBtn.innerHTML = '&times;';
    dismissBtn.onclick = function() { dismissAlert(this); };

    alertDiv.appendChild(alertInfo);
    alertDiv.appendChild(dismissBtn);

    document.getElementById('alertsDropdown').appendChild(alertDiv);

    updateBadge();
}

// This function will toggle the visibility of the alerts dropdown
function toggleAlerts() {
    document.getElementById('alertsDropdown').classList.toggle('show');
}

// This function will dismiss an alert when the button is clicked
function dismissAlert(button) {
    button.parentElement.remove();
    updateBadge();
}

// This function will update the alert badge number based on how many alerts are remaining
function updateBadge() {
    const alerts = document.querySelectorAll('.alerts-dropdown .alert');
    const badge = document.getElementById("alertBadge");
    if (alerts.length === 0) {
        badge.style.display = "none";  // Hide badge when no alerts
    } else {
        badge.innerText = alerts.length;
        badge.style.display = "inline-block"; // Show badge when alerts are present
    }
}

// Function to fetch updates from the PHP endpoint
function fetchUpdates() {
    fetch('/updates/popup')  // Ensure the URL is correct
        .then(response => response.json())
        .then(data => {
            console.log('Data received:', data);  // Debugging line to check data
            
            // If the response is not an array, wrap it in an array
            if (!Array.isArray(data)) {
                data = [data];  // Convert single object to array
            }
            
            // Now add alerts for each update
            data.forEach(update => {
                addAlert(update);  // Add each update as an alert
            });
        })
        .catch(error => console.error('Error fetching updates:', error));
}

// Call fetchUpdates when the page loads to get alerts
window.onload = function() {
    fetchUpdates();
};

</script>

